Skip to main content
Implement the four merchant endpoints detailed in the following sections. This Implementation is mandatory. We recommend exposing API methods via HTTPS. Optionally, you can implement additional merchant APIs and APIs on the Global‑e Side.

Special Features and Requirements

  • If some of your products have reduced VAT rates (for example, you are a UK merchant with children’s clothing), set the relevant reduced VAT rates for these products in the HTML data attribute. See Reduced VAT Rate Support.
  • If you require support for product country exceptions (for example, restrict browsing before reaching the Global‑e checkout), set the relevant data-countries for these products in the HTML data attribute. See Product-Specific VAT Rates in the EU and Restrictions.
  • If you require the application of price coefficients to specific product classes (for example, on premium items in specific territories), set the relevant data-pc for these products in the HTML data attribute and the ProductClassCode in the GetCheckoutCartInfo (Global-e to Merchant) API.
  • If you require support for existing logistics accounts, call a Global‑e API method to download the international commercial invoice for the specified order.

GetCheckoutCartInfo (Global-e to Merchant)

The GetCheckoutCartInfo API retrieves cart information for international checkout processing. This API:
  • Is triggered when the cart page loads or when a checkout attempt is made
  • Only returns products that are in stock
  • Requires proper cart token validation
  • Is part of Global-e’s extensions (custom integration only)
This method is called from a Global-e server with the cart token rendered in a cookie or HTML.DOM. The client’s session calculates the price totals. The GetCheckoutCartInfo API returns all cart contents, including customer information for logged-in customers This API only returns products that are in stock. If special handling is required for stock validation on your side, for products in the basket (for example, calls to an external system), Global-e can specify an additional URL for this method, to indicate that stock validation is specifically required. If the cart data is unavailable, the checkout will not open and an error message will appear in the browser development console. The GetCheckoutCartInfo API is only triggered upon the cart page loading, or when a checkout attempt is made.
This API is part of Global-e’s extensions and plug-ins. Merchants do not need to implement this API unless a custom integration in required.
  • Displays totals on the basket page
  • Opens the checkout process
  • Validates order (SendOrderToMerchant)
  • Client-side: Session and Cart token (present in the request URL parameters)
  • Server-side: For both GET and POST:
    • Cart token - Request URL parameter (required)
    • Custom parameter - Request URL parameter (optional)
    • Custom header (optional)
    • IP whitelist (optional)
    • HTTP Basic Authentication (optional)
    • JWT (optional)
  • Additional methods available with POST only:
    • OrderID - In the request payload
    • Merchant GUID - In request payload (required)
None. The GetCheckoutCartInfo API is only triggered upon the cart page loading, or when a checkout attempt is made. If the GetCheckoutCartInfo request fails to execute on the cart page, the international cart totals will not be calculated or displayed there. If the GetCheckoutCartInfo request fails on the checkout, the checkout will not open. Method/URL Client-side: GET Server-side: GET/ POST (sdefault GET). Global-e can configure your preference.

Parameters

Request Requests can contain more parameters than listed.
NameTypeDescriptionMandatory
countryCodeString2-char ISO code for the country to which shippedNo
currencyCodeString3-char currency code for the country to which shippedNo
merchantCartTokenStringIdentifier used for the cart by the Merchant’s siteNo
Response Returns all cart contents, including customer information for logged-in customers.
Some values are encoded and require the merchant to decode them, for example URLs, addresses, emails, and phone numbers.
NameTypeDescription
CheckoutCartInfoObject CheckoutCartInfoRetrieves cart information

CheckoutCartInfo

Parameter NameTypeDescriptionMandatoryGEM Only
allowMailsFromMerchantBooleanIndicates if the end customer’s consent to receive emails from merchants should be pre-selected in the Global‑e Checkout.TRUE - Customer consents to receive emails.FALSE - Customer does not consent to receive emails.NoYes
billingDetailsObject UserDetailsBilling details of a registered user (if available on the Merchant’s site). If the userDetails property mentioned below is specified, then billingDetails will be ignored.No
clientIPStringThe end customer’s IP addressNo
CountryCodeString2-char ISO country code of the shipping country either pre-defined using geo-location or actively selected by the end customer. This may be different from shippingDetails.CountryCode denoting the registered user’s country.No
cultureCodeStringISO culture code. If specified, the textual properties will be returned in the requested culture’s language if available. Texts in English will be returned by default.No
currencyCodeString3-char ISO currency code denoting the end customer’s currency. If not specified, the Merchant’s default currency will be assumed by default.No
discountListList of DiscountsList of JSON-serialized Discounts to be applied to the cart. Discounts of any type (“cart”, “shipping”, etc.) may be specified.No
doNotChargeVATBooleanIndicates if the end customer must not be charged VAT. This is usually set to TRUE for registered users who have validated their business entity’s VAT Registration Number with the merchant and are therefore VAT exempted.No
freeShippingCouponCodenvarcharMerchant’s free shipping coupon code applied by the end customer.Max length: 50.No
hubIDDecimalIdentifier of the Global‑e’s Local Hub previously returned by API. If not specified, the default Merchant’s Hub will be used instead.No
IncludeVATDecimalOptional for the merchants not supporting browsing integration. The value is returned from CountryCoefficients API.No
isFreeShippingBooleanIndicates if the Merchant offers free international shipping to the end customer.No
loyaltyCodeStringThe loyalty code specified by the end customer (or read from the end customer’s account) on the Merchant’s site.No
LoyaltyPointsObject LoyaltyPointsLoyaltyPoints contains data about the registered user for applying loyalty points on the Checkout page.No
loyaltyPointsEarnedDecimalThe number of loyalty points to be earned for this purchase by the end customer on the Merchant’s site.No
loyaltyPointsSpentDecimalThe number of loyalty points to be spent for this purchase by the end customer on the Merchant’s site.No
loyaltyPointsTotalDecimalThe total number of loyalty points currently available in the end customer’s user account on the Merchant’s site.No
merchantCartHashnvarcharA hash may be optionally generated by the merchant and returned to the merchant with an order API call. This hash may be used for additional cart and order validation purposes on the Merchant’s side. No max length.No
MerchantOrderIdStringThe merchant order id, if it is already known, at the point when the user is still in the cart page on the merchant’s store.NoYes
originalCurrencyCodeString3-char ISO currency code denoting the original currency on the Merchant’s site (before applying country coefficient and FX conversion). If not specified, the Merchant’s default currency will be assumed by default.No
otVoucherAmountDecimalAmount of the one-time voucher in otVoucherCurrencyCode currency.No
otVoucherCodeStringOne-time voucher code for the cart (for applicable platforms).No
otVoucherCurrencyCodeStringOne-time voucher currency used for the amount.No
paymentInstallmentsStringList of available payment instalment amounts.For example: {2,4,6,8} – This indicates that we should allow instalmentsin 2, 4, 6 or 8 instalment options (to be selected by the customer).No
productsListList of ProductList of Product objects (specified in the request body)Yes
rateDataStringCurrency data is used by Global-e to verify the currency rate and to return the value received in the used currency rate.Optional, irrelevant for GetCheckoutCartInfoAPI response
shippingDetailsObject UserDetailsShipping details of a registered user (if available on the Merchant’s site). If the userDetails property is specified, then the shippingDetails will be ignored.If countryCode is not specified, the shipping country must be specified in shippingDetails.CountryCode property.If not specified neither in the countryCode argument nor in shippingDetails.CountryCode property, clientIP argument defined above becomes mandatory and will be used to determine the end user’s shipping country by Global‑e system.No
shippingOptionsListList of ShippingOptionList of JSON-serialized Shipping Options available for local shipping of the order from the Merchant to Global‑e’s Local Hub previously returned by ActiveHubDetails API.If the Global-e integration shipping API has been created and enabled for Global‑e on the Merchant’s site, Global‑e will prefer this Shipping Option when posting the order back to the Merchant’s site (using SendOrderToMerchant API). Therefore, all other shipping APIs available for local shipping may be omitted in shippingOptionsList.No
urlParametersList of KeyValuePairList of JSON-serialized Key:Value pairs denoting the values of the parameters specified in the respective Merchant’s REST API action URLs. For example, to instruct Global‑e to include “en-AU” locale in the SendOrderToMerchantcall for this cart, urlParametersshould include the following KeyValuePair: [{"Key":"locale", "Value":"en-AU"}]. In this example “locale” parameter should be configured for SendOrderToMerchant URL for this merchant on the Global‑e side.No
userDetailsObject CartUserDetailsAll available details of the user including all relevant addresses. If userDetails is not specified, then shippingDetails and billingDetails properties will be used instead. userDetails property can be used by merchants who support multiple shipping and/or multiple billing addresses in the user’s account.No
vatRegistrationNumberStringVAT Registration Number of the end customer’s business entity validated with the merchant.NoYes
webStoreCodenvarcharCode used on the merchant’s side to identify the web store where the current cart is originating. This code should be used when a multi-store setup is on the merchant’s site.Max length: 100No
webStoreInstanceCodeStringCode used on the merchant’s side to identify the web store instance where the current cart is originating from. This code should be used in case of multi-store domains set up on the merchant’s site.NoYes

CartUserDetails

Parameter NameTypeDescriptionMandatory
AddressDetailsList of AddressDetailsAll available addresses are taken from the registered customer address bookNo
UserIdStringInternal User identifier on the Merchant’s siteNo

AddressDetails

Parameter NameTypeDescriptionMandatoryGEM Only
Address1StringAddress line 1.NoYes
Address2StringAddress line 2.NoYes
AddressBookIdStringId of the current address from within the address bookNo
AddressBookNameStringName of the current address from within the address bookNo
CityStringCity name.NoYes
CompanyStringCompany nameNoYes
CountryCodeString2-char ISO country codeNoYes
EmailStringE-mail addressNo
FaxStringFaxNo
FirstNameStringFirst nameNo
FirstNameInLocalCultureStringFirst name in local cultureNo
IsBillingBooleanIndicates that the current address can be used as a billing addressNo
IsDefaultBillingBooleanIndicates that the current address is the default billing addressNo
IsDefaultShippingBooleanIndicates that the current address is the default shipping addressNo
IsShippingBooleanIndicates that the current address can be used as a shipping addressNo
LastNameStringLast nameNo
LastNameInLocalCultureStringLast name in local cultureNo
MiddleNameStringMiddle nameNo
Phone1StringPhone #1No
Phone2StringPhone #2No
SalutationStringSalutation or title (e.g. Dr., Mr., etc.).No
StateCodeStringState or province ISO code such as AZ for Arizona (if applicable)NoYes
StateOrProvinceStringState or province nameNo
UserIdNumberStringUser’s personal ID document numberNo
UserIdNumberTypeObject UserIdNumberTypeUser’s personal ID document type (e.g. Passport, ID card, etc.)No
ZipStringZip or postal codeNoYes

UserIdNumberType

Parameter NameTypeDescriptionMandatory
NameStringIdentification document type name
UserIdNumberTypeCodeStringCode denoting a user identification document type (e.g. Passport, ID card, etc.) on the Merchant’s site (to be mapped on the Global‑e side)

Discounts

Parameter NameTypeDescriptionMandatory
CouponCodeStringMerchant Coupon Code used for this discount (applicable to coupon-based discounts only).Max length: 100 chars.No
DescriptionStringDiscount textual description.Length: Unlimited.No
DiscountTypeIntegerOne of the following possible values of DiscountTypeOptionsenumeration denoting a type of discount:
Cart discount - 1
Shipping discount - 2
Loyalty points discount - 3
Duties discount - 4
Checkout Loyalty points discount - 5
Payment charge - 6
No
DiscountValueDecimalDiscount value in end customer’s currency (specified in InternationalDetails.CurrencyCode property for the Merchant.Order, after applying country coefficient, FX conversion, and IncludeVAT.No
NameStringDiscount name.Length: Unlimited.No
OriginalDiscountValueDecimalDiscount value in the currency defined in the CurrencyCode; property of the Merchant.Order; object for the order being submitted to the Merchant.Yes
VATRateDecimalThe VAT rate applied to this discountNo (Required for merchants whose base country has VAT. If not specified, will default to 0.)
ProductCartItemIdStringFor product level discount, match the unique CartItemId line identifier of the respective product in the productList. For cart level discounts, leave this field blank or null.No
CalculationModeIntegerThe mode of calculation:
1 - value in base currency while maintaining ratio to domestic discount
2 - fixed amount in base currency
3 - fixed amount in shopper currency (used for fixed price markets only)
Yes

KeyValuePair

Parameter NameTypeDescriptionMandatory
KeyStringEntity key (for example a URL parameter) used on the Merchant’s site (to be mapped on the Global‑e side)
ValueStringEntity value for the respective Key

LoyaltyPoints

Parameter NameTypeDescriptionMandatory
LoyaltyPointsMaxSpendDecimalThe limit loyalty points that the user can use in this order – if not exists the LoyaltyPointsTotal is taken.No
LoyaltyPointsOriginalValueForEarnDecimalValue of one loyalty point for earn, in Merchant currency – optional if LoyaltyPointsOriginalForEarn exists.No
LoyaltyPointsOriginalValueForSpendDecimalValue of one loyalty point for spending, in Merchant currency – optional if LoyaltyPointsValueForSpend exists.No
LoyaltyPointsTotalDecimalThe total loyalty points the user has on account at the Merchant’s siteNo
LoyaltyPointsValueForEarnDecimalValue of one loyalty point for earn, in customer currency – optional if LoyaltyPointsOriginalValueForEarn exists.No
LoyaltyPointsValueForSpendDecimalValue of one loyalty point for spending, in customer currency – optional if LoyaltyPointsOriginalValueForSpend exists.No

Product

Parameter NameTypeDescriptionMandatory
AttributesList of AttributesThe product’s custom attributes (such as Color, Size, etc.)No
AttributesEnglishList of AttributesThe product’s custom attributes (such as Color, Size, etc.) in EnglishNo
BackOrderDateStringEstimated date for the backordered item to be in stockNo
BrandObject BrandThe product’s brandNo
CartItemIdStringIdentifier of the cart item on the Merchant’s site. This property may be optionally specified in the SendCart method only so that the same value can be posted back when creating the order on the Merchant’s site with the SendOrderToMerchant method.No
CartItemOptionIdStringIdentifier of the child cart item “option” on the Merchant’s site. This value must be specified if the current cart item is related to a parent item (CartItemId must not be specified for this item because this attribute applies only to the “parent” item itself). For example, this item might indicate a package for the parent item in the same cart. This property may be optionally specified in the SendCart method only so that the same value can be posted back when creating the order on the Merchant’s site with the SendOrderToMerchant method.No
CategoriesList of CategoryThe product’s categoriesNo
DeliveryQuantityDecimalThe quantity actually set for delivery for the product (to be used in the Order methods described below, as needed)No
DescriptionStringDescription of the Product
DescriptionEnglishStringDescription of the Product in English
GenericHSCodeStringThe product’s generic HS Code (not country-specific). If specified this property may assist in mapping the product for duties and taxes calculation purposes.No
GiftMessageStringOptional “gift message” text defined by the end customer to be printed on the product.No
HandlingCodeStringCode applicable to the product on the Merchant’s site. This code may be optionally used by the Merchant to trigger a certain business logic when this product is included in the order posted back to the Merchant’s site with the SendOrderToMerchant method.No
HeightDecimalThe product’s height in the Merchant’s default unit of length measure (will be converted to CM).No
HubCodeStringThe Merchant hub code indicates from which hub the product was sent. Note that the HubCode should be mapped to a Global-e hubId on the Global-e side.No
ImageHeightDecimalThe product’s image height in pixelsNo
ImageURLStringThe product’s image URLNo
ImageWidthDecimalThe product’s image width in pixels
IsBackOrderedBooleanBoolean specifying if the product was ordered as a backed ordered item.TRUE - The item is back orderedFALSE - The item is not back ordered. Default FALSE.No
IsBlockedForGlobalEBooleanIndicates if product is available for international shipping.TRUE - The product is not available for international shippingFALSE - The product is available for international shippingNo
IsBundleBooleanIndicates if the product represents a set of products.TRUE - The product represents a set of other products. If a bundled product has non-zero prices specified (i.e. OriginalListPrice, ListPrice, etc.), then all the contained products must have zero prices, and vice versa, to avoid double charging for the same products.FALSE - The product does not represent a set of other products.No
IsFixedPriceBooleanIndicates if the product’s price is fixed by the Merchant, in the default currency for the country.TRUE - The product’s price is fixed. In this case, all price modifications are disabled for this product. Setting fixed prices is only allowed for the Countries where the SupportsFixedPrices flag is set to TRUE.FALSE - The product’s price is not fixed.No
IsVirtualBooleanIndicates if the product represents a virtual product that does not have weight or volume and doesn’t affect shipping calculation in Global‑e checkoutTRUE - The product represents a virtual productFALSE - The product does not represent a virtual productNo
KeywordsStringThe product’s keywordsNo
LengthDecimalThe product’s length in the Merchant’s default unit of length measure (will be converted to CM).No
LineItemOriginalSalePriceDecimalLine item (product in ordered quantity) sale price in the original Merchant’s currency including the local VAT, before applying any price modifications. This property always denotes the price in the default Merchant’s country, regardless of UseCountryVAT for the end customer’s current country. If not specified, will be deemed equal to “OriginalSalePrice* OrderedQuantity”. If specified, will take preference over OriginalSalePrice.No
LineItemSalePriceDecimalLine item (product in ordered quantity) sale price as displayed to the customer, after applying country coefficient, FX conversion and IncludeVAT handling, before rounding rules have been applied. If not specified, will be deemed equal to “SalePrice * OrderedQuantity”. If specified, will take preference over SalePrice.No
ListPriceDecimalProduct list price (before discounts) as displayed to the customer, after applying country coefficient, FX conversion, rounding rule (if applicable) and IncludeVAT handling.Optional in SendCart, SaveProductsBulk
LocalVATRateTypeObject VATRateTypeVAT rate type or class that would be applied to this product if the order was placed by the local customer. This value must be specified if UseCountryVAT for the current Country is TRUE, and therefore the VATRateType property actually denotes the VAT for the target country.No
MetaDataObject ProductMetaDataUsed to hold additional product data such as customer-defined product attributes.No
NameStringName of the Product
NameEnglishStringName of the Product in English
NetVolumeDecimalThe product’s net volume in the Merchant’s default unit of volume measure (will be converted to cubic CM). If specified, this property indicates the net volume of the product, excluding any packaging.No
NetWeightDecimalThe product’s net weight in the Merchant’s default unit of weight measure (will be converted to grams). If specified, this property indicates the net weight of the product, excluding any packaging.No
OrderedQuantityDecimalOrdered quantity for the product (to be used in Checkout / Order methods described below, as needed)No
OriginalListPriceDecimalProduct list price (before any discounts) in the original Merchant’s currency including the local VAT, before applying any price modifications. This property always denotes the product’s price in the default Merchant’s country, regardless of UseCountryVAT for the end customer’s current country.Optional in SendCart, SaveProductsBulk
OriginalSalePriceDecimalProduct sale price in the original Merchant’s currency including the local VAT, before applying any price modifications. This property always denotes the product’s price in the default Merchant’s country, regardless of UseCountryVATfor the end customer’s current country.Optional in SaveProductsList, SaveProductsBulk
OriginCountryCodeString2-char ISO country code of the product’s country of Origin. The Merchant’s country will be assumed if not specified.No
ParentCartItemIdStringIdentifier of the current item’s parent cart item on the Merchant’s site. This value must be specified if the current cart item is related to a parent item (CartItemId must not be specified for this item because this attribute applies only to the “parent” item itself). For example, this item might indicate a custom option (such as a product package) for the parent item in the same cart. This property may be optionally specified in the SendCart method only so that the same value can be posted back when creating the order on the Merchant’s site with the SendOrderToMerchant method.No
PriceCoefficientRateDecimalRate applicable to this Product’sProductClassCode if returned from the CountryCoefficients method.No
ProductClassCodeStringThe product class code is used by the Merchant to classify products to use different country coefficient rates.No
ProductCodeStringSKU code used to identify the product on the Merchant’s site (to be mapped on the Global‑e side)
ProductCodeSecondaryStringSecondary code that may be used to refer to the product on the Merchant’s site. This code may be used in addition to the ProductCode and is not guaranteed to be unique (may be reused for other products as long as the old product is not available on the Merchant’s site any more).No
ProductGroupCodeStringProduct’s group code on the Merchant’s site (to be mapped on the Global‑e side). Usually, this value is a part of the product SKU code denoting a group of similar products (such as “the same product in different s”).No
ProductGroupCodeSecondaryStringSecondary code that may refer to the group of products on the Merchant’s site. This code may be used in addition to the ProductGroupCode and is not guaranteed to be unique (may be reused for other groups as long as the old group is not available on the Merchant’s site anymore).No
SalePriceDecimalProduct sale price as displayed to the customer, after applying country coefficient, FX conversion, rounding rule (if applicable) and IncludeVAT handling.Optional in SaveProductsList, SaveProductsBulk, GetCheckoutCartInfo
SalePriceBeforeRoundingDecimalProduct sale price as displayed to the customer, after applying country coefficient, FX conversion and IncludeVAT handling, before rounding rules have been applied. If not specified, will be deemed equal to SalePrice.No
SalePriceReasonStringReason for the sale price. This property may optionally contain the text definition of the promo that has resulted in the price deduction for this product (such as “10% discount on all shoes”).No
URLStringThe product’s information page URLNo
VATCategoryObject VATCategoryThe product’s VAT category. A product may be assigned to a single VAT category on the Merchant’s site. If available, the respective product’s HS Code should be used as the VAT category for a product.No
VATRateTypeObject VATRateTypeProduct’s VAT rate type or classNo
VolumeDecimalThe product’s volume in the Merchant’s default unit of volume measure (will be converted to cubic CM).Optional, can be used as an alternative for specifying all Height, Width and Length dimensions
WeightDecimalThe product’s weight is in the Merchant’s default unit of weight measure (will be converted to grams). The Merchant’s default product weight will be used if not specified.No
WidthDecimalThe product’s width in the Merchant’s default unit of length measure (will be converted to CM).No

Attributes

Parameter NameTypeDescriptionMandatory
AttributeCodeStringCustom attribute code denoting a Merchant-specific attribute such as size, color, etc. (to be mapped on the Global‑e side)
AttributeTypeCodeStringCode used to identify the attribute type on the Merchant’s site such as “size” for size, “color” for “colour”, etc. (to be mapped on the Global‑e side)
NameStringAttribute name

Brand

Parameter NameTypeDescriptionMandatory
BrandCodeStringBrand code on the Merchant’s site (to be mapped on the Global‑e side)
NameStringBrand name

Category

Parameter NameTypeDescriptionMandatory
CategoryCodeStringCategory code on the Merchant site (to be mapped on the Global‑e side)
NameStringCategory name

MetaData

Parameter NameTypeDescriptionMandatory
AttributesList of AttributesCustomer-defined product attributes that allow the personalisation of the product if supported by the merchant’s site (e.g. engraving)

Attributes

Parameter NameTypeDescriptionMandatory
AttributeCodeStringCustom attribute code denoting a Merchant-specific attribute such as size, color, etc. (to be mapped on the Global‑e side)
AttributeTypeCodeStringCode used to identify the attribute type on the Merchant’s site such as “size” for size, “color” for “colour”, etc. (to be mapped on the Global‑e side)
NameStringAttribute name

VATCategory

Parameter NameTypeDescriptionMandatory
NameStringVAT Category name
VATCategoryCodeStringCode used to identify the VAT category on the Merchant’s site (to be mapped on the Global‑e side)

VATRateType

Parameter NameTypeDescriptionMandatory
NameStringVAT rate type nameNo
RateDecimalVAT rate decimal value
VATRateTypeCodeStringVAT rate type (or class) code on the Merchant’s site (to be mapped on the Global-e side)

ShippingOption

Parameter NameTypeDescriptionMandatory
CarrierStringCarrier’s short name
CarrierNameStringCarrier’s full name
CarrierTitleStringCarrier’s title
CodeStringShipping method code used to identify the shipping option on the Merchant’s site (to be mapped on the Global‑e side)
MethodStringShipping method name
MethodTitleStringShipping method title
MethodDescriptionStringShipping method description
PriceDecimalShipping price in Merchant’s original currency defined in the originalCurrencyCode argument of the respective method call (i.e. SendCart)

UserDetails

Parameter NameTypeDescriptionMandatory
Address1StringAddress line 1No
Address2StringAddress line 2No
CityStringCity nameNo
CompanyStringCompany nameNo
CountryCodeString2-char ISO country codeNo
CountryNameStringCountry nameNo
EmailStringE-mail addressNo
FaxStringFaxNo
FirstNameStringFirst nameNo
FirstNameInLocalCultureStringFirst name in local culture Ex: Kana Japanese dialectNo
LastNameStringLast nameNo
LastNameInLocalCultureStringLast name in local culture Ex: Kana Japanese dialectNo
MiddleNameStringMiddle nameNo
Phone1StringPhone #1No
Phone2StringPhone #2No
SalutationStringSalutation or title (e.g. Dr., Mr., etc.)No
StateCodeStringState or province ISO code such as AZ for Arizona (if applicable)No
StateOrProviceStringState or province nameNo
UserIdStringInternal User identifier on the Merchant siteNo
UserIdNumberStringUser’s personal ID document numberNo
UserIdNumberTypeObject UserIdNumberTypeUser’s personal ID document type (e.g. Passport, ID card, etc.)No
ZipStringZip or postal codeNo

UserIdNumberType

Parameter NameTypeDescriptionMandatory
NameStringIdentification document type name
UserIdNumberTypeCodeStringCode denoting a user identification document type (e.g. Passport, ID card, etc.) on the Merchant’s site (to be mapped on the Global‑e side)

Examples

Response contains CheckoutCartInfo class

SendOrderToMerchant (Global-e to Merchant)

This API is part of Global-e’s extensions and plug-ins. Merchants do not need to implement this API unless a custom integration is required.
This API posts the new order or updates the existing order on the merchant’s site. When implementing a Global-e extension or plug-in, this method is required to create the customer order in the merchant’s system, clear the user’s basket, and optionally, reserve the inventory.
  • If order.PaymentDetails are provided, this method also performs the payment and returns the currency and amount actually charged in the Merchant.ResponseInfo.
  • If additional shipping documents are required for merchants that are shipping the order themselves, then it is indicated in AdditionalRequiredDocuments . In that case, the merchant should delay the fulfillment until the documents are ready and provided to the merchant in the SendAdditionalRequiredDocumentsToMerchant webhook.
  • Merchant GUID - In request payload (required)
  • Custom header (optional)
  • IP whitelist (optional)
  • HTTP Basic Authentication (optional)
  • JWT (optional)
There is no retry upon a merchant failure response or timeout. The timeout period is 5 minutes but can be adjusted if necessary. Merchant failure responses or timeouts will trigger an alert to the Global-e NOC team for manual review. Requests that fail to initiate from Global-e side will trigger a retry once a minute for up to 3 attempts, after which an alert will trigger for manual review. Method/URL

Parameters

Request Requests can contain more parameters than listed.
NameTypeDescriptionMandatory
orderObject Merchant.OrderInformation about the order.

Merchant.Order

Parameter NameTypeMandatoryDescriptionGEM Only
AdditionalRequiredDocumentsList of OrderDocumentThe required additional documents for shipping. When the information is provided, the Merchant must wait for the documents to be provided before starting fulfilment.Yes
AllowMailsFromMerchantBooleanIndicates if the end customer has opted on the Global‑e checkout page to receive emails from the Merchant.TRUE - Customer opted to receive emailsFALSE - CustoCurrencyCodemer did not opt to receive emails
CartHashStringNoCart hash originally specified in the merchantCartHash argument for the SendCart method for the cart converted to this order on Global‑e.Yes
CartIdStringNoIdentifier of the cart on the Merchant’s site originally specified in merchantCartToken argument for SendCart method for the cart converted to this order on Global‑e.Yes
CashOnDeliveryFeeDecimalCash On Delivery fee amount in Merchant’s currency.
CCFPriceDecimalCustoms Clearance Fees (CCF), in the Merchant currency.Yes
ClearCartBooleanIndicates if the end customer’s cart must be cleared before this method finishes execution on the Merchant’s site.TRUE - The end customer’s cart must be clearedFALSE - The end customer’s cart does not have to be cleareYes
CurrencyCodeStringCustomer3-char ISO currency code for the order being posted. By default, this is set to the original Merchant’s currency.Yes
CurrencyNameStringNoCustomer currency name. Returned by GetOrdersDetails API only
CustomerObject Merchant.CustomerThe paying customer’s preferences (Global-e acts as a paying customer).Yes
CustomerCommentsStringHolds the gift message. In the offline order flow, holds the product comment.Yes
CustomerCommentsStringNoComments text entered by the end customer in Global‑e checkout.
CustomerDTBreakdownObject DTBreakdownNoContains the duties and tax parts the customer paid for the order.
DateCreatedStringNoOrder creation date and time. Returned by GetOrdersDetails API only.
DiscountedShippingPriceDecimalThe shipping price paid by the customer converted to the Merchant’s currency. Total Shipping price reducing Order Discounts (InternationalDetails.DiscountedShippingPrice price converted to the Merchant currency).Yes
DiscountsList of Merchant.DiscountNoThe list of discounts being applied to the order, according to the original list of discounts received in SendCart for this order, and to the Merchant shipping configuration on Global‑e.Yes
DoNotChargeVATBooleanNoIndicates if the end customer hasn’t been charged VAT in Global‑e checkout, as specified in the doNotChargeVAT argument for the SendCart method for the cart converted to this order on Global‑e.TRUE - VAT is not chargedTRUE - VAT is chargedYes
ExporterDetails.DestinationRegistrationNumberDecimalThe Tax reference number of the GE Entity at the destination country. Should only be provided when the order is tax-collected. Otherwise, the field should be Null. The value should be Null if the order destination is for an EU country.
ExporterDetails.LocalRegistrationClearanceBooleanIndicates whether the Merchant can use the destination Registration number.TRUE - Merchant can use destination Registration number (ExporterDetails.DestinationRegistrationNumber)FALSE - Merchant cannot use destination Registration number .
FreeShippingCouponCodeStringNoMerchant’s free shipping CouponCode applied by the end customer, as specified in the FreeShippingCouponCode argument for the SendCart method for the cart converted to this order on Global‑e.Yes
InternationalDetailsObject Merchant.InternationalDetailsNoDetails referring to the end customer’s order placed on the Global‑e side. These details apply only to the Merchants dealing with international customers’ support themselves.Yes
IsB2BBooleanIndicates if the order has a Company name and VAT registration number.TRUE - Order contains a company name and VAT registration numberFALSE - Order does not contain a company name and VAT registration number
IsFreeShippingBooleanNoIndicates if the Merchant offers free international shipping to the end customer, as specified in the IsFreeShipping argument for the SendCart method for the cart converted to this order on Global‑e.TRUE - Shipping is free.FALSE - Shipping is not free.Yes
IsMotoBooleanIndicates if the the customer is a customer support agent and an “Offline order” took placeTRUE - The customer is a customer support agent and an “Offline order” took placeFALSE - The customer is a regular customerYes
IsReplacementOrderBooleanIndicates if the order is a replacement.TRUE - The order is a replacementFALSE - The order is not a replacement
IsSplitOrderBooleanNoIndicates if the order should be handled as a split order (i.e. without consolidation).TRUE - Order will be splitFALSE - Order is not to be splitYes
IsTaxExemptionBooleanIndicates if the order has a tax exemption.TRUE - Order has a tax exemptionFALSE - Order does not have a tax exemption
LoyaltyCodeStringNoLoyalty code applicable to the Merchant’s site entered by the end customer in Global‑e checkout.Yes
LoyaltyPointsEarnedDecimalNoThe number of loyalty points to be earned for this purchase by the end customer on the Merchant’s site, as specified in the loyaltyPointsEarned argument for the SendCart method for the cart converted to this order on Global-e.Yes
LoyaltyPointsSpentDecimalNoThe number of loyalty points spent for this purchase. The existing loyalty points handling procedure must be applied to the end customer’s user account. Therefore, the “Loyalty points” type discount must not be applied to the order directly but can be used for display purposes elsewhere in the system (i.e. on the end user’s My Account page).Yes
MarkupsList of Merchant.DiscountNoThe list of markups being applied to the order, according to the Merchant shipping configuration on Global‑e. Effectively Markup is a “negative Discount”. The main use case for markups is when the end customer is charged in Global‑e checkout, a flat shipping rate, which is higher than the shipping rate, calculated for the respective order. In this case, Global‑e pays the difference to the Merchant in the form of Markups applied to the order. Unlike Discounts, Markups may be only passed to the Merchant’s back-end ERP system for reconciliation purposes, and may not be displayed to the end customer.Yes
MerchantDTBreakdownObject DTBreakdownNoContains the duties and tax parts that the Merchant subsidized for the order.
MerchantGUIDStringUnique identifier of the Merchant on Global-e.Yes
MerchantOrderIdStringNoOrder unique identifier on the Merchant’s site returned from a previous call to the SendOrderToMerchant method for this order.
ModifiedProductStringHolds the product’s SKUYes
OrderCreationSourceDecimalOne of the values of OrderCreationSource enumeration denoting a type of discount shown in the OrderCreationSource Table.
OrderDocumentsList of OrderDocumentAlways contains a single document - it can be either a VAT Invoice or a Customer Receipt, depends if it is within the EU or not.Yes
OrderIdStringGlobal‑e order unique identifier.Yes
OrderPaymentMethodsList of OrderPaymentMethodList of payment methods the customer use (Credit card, Gift Cards)Yes
OrderStatusReasonObject OrderStatusReasonReason for the order status, why it was cancelled.Yes
OriginalOrderObject Merchant.OriginalOrderNoDetails that refer to the original order if the current order is a replacement.Yes
OTCurrencyCodeStringNoCurrency of the one-time voucher code used to place the order.
OTVoucherAmountDecimalNoThe amount taken off the voucher when applicable.Yes
OTVoucherCodeStringNoOne-time voucher code used to place the orderYes
ParcelsList of Merchant.ParcelNoThe list of parcels created for the order. Returned by GetOrdersDetails API only.
PaymentDetailsObject Merchant.PaymentDetailsThe paying customer’s payment details.Yes
PrePayOfferedBooleanIndicates if the prepayment option for duties and taxes was offered to the customer.TRUE - Prepayment option offered.FALSE - Prepayment option not offered.
PriceCoefficientRateDecimalCountryCoefficient rate applied to the prices in this order.Yes
PrimaryBillingObject Merchant.CustomerDetailsThe primary customer’s billing details. If IsEndCustomerPrimary is set to TRUE, then the primary customer is the payer and his details are indicated in the URL-encoded form.Yes
PrimaryShippingObject Merchant.CustomerDetailsPrimary customer’s shipping details. If Customer.IsEndCustomerPrimary is TRUE, this field contains the end customers’ shipping details. this field contains the Global-e hub’s shipping address in the URL-encoded form.Yes
ProductsList of Merchant.ProductThe list of products being purchased.Yes
RoundingRateDecimalThe average conversion rate applied to the prices paid by the end customer when calculating the prices paid by Global‑e to the Merchant in the original Merchant’s currency. This rate includes “FX conversion” and “marketing rounding” factors.Yes
SameDayDispatchBooleanNoIndicates if the end customer has requested “Same Day Dispatch” on Global‑e checkout.TRUE - Customer requested “Same Day Dispatch”FALSE - Customer did not request “Same Day Dispatch”Yes
SameDayDispatchCostDecimalNoCost of the “Same Day Dispatch” option selected by the end customer on Global‑e checkout, in the original Merchant’s currency.Yes
SecondaryBillingObject Merchant.CustomerDetailsSecondary customer’s billing details. If Customer.IsEndCustomerPrimary is FALSE, this contains attributes of the end customer’s details indicated in the URL-encoded form.Yes
SecondaryShippingObject Merchant.CustomerDetailsSecondary customer’s shipping details. If Customer.IsEndCustomerPrimary is FALSE, this field contains the end customers’ shipping details.Yes
ShippingMethodCodeStringNoCode denoting the local shipping method selected from the list of available shipping options provided in the shippingOptionsList argument for the SendCart method for the cart converted to this order on Global‑e.Yes
ShipToStoreCodeStringExporterDetailsNoCode denoting the Merchant’s store specified by the customer for “ship to shop” shipping destination (to be mapped on the Global‑e side).Yes
StatusCodeStringCode denoting the order status on the Merchant’s site (to be mapped on the Global‑e side).Yes
SubsList of Merchant.OrderContains Sub orders related to Mixed order. This list is defined only in case the order is Mixed.Yes
TotalDutiesAndTaxesPriceDecimalTotal Duties & Taxes value including Customs Clearance Fees, in the Merchant currency. This amount is the total amount, regardless of whether the customer or the Merchant paid it.Yes
TotalDutiesPaidByCustomerPriceDecimalWebStoreInstanceCodeThe total amount of duties paid by the customer in the Merchant’s currency.Yes
UserIdStringNoInternal User identifier on the Merchant’s site originally specified in the shippingDetails.UserIdargument for SendCart method for the cart converted to this order on Global‑e.Yes
USSalesTaxDecimalSales tax value for USA in the Merchant currency. This value is included in TotalDutiesAndTaxesPrice.Yes
WebStoreCodeStringNoCode used on the Merchant’s side to identify the web store, as specified in the WebStoreCode argument for the SendCart method for the cart converted to this order on Global‑e.Yes
OrderCreationSource One of the following possible values of OrderCreationSource enumeration denoting a type of discount:
OrderCreationSource ValueNameDescription
0GECheckoutThe default value for orders created in a normal flow via Global‑e Checkout
1MarketplaceThe value for orders that are created at a marketplace and sent to Global-e via your brand

DTBreakdown

Parameter NameTypeDescriptionMandatoryGEM Only
DutiesDecimalDuties that are applied.Yes
OtherDecimalOther DT fees that are applied.NoYes
SalesTaxesDecimalSales taxes that are applied.

Merchant.Customer

Parameter NameTypeDescriptionMandatory
IsEndCustomerPrimaryBooleanIndicates if end customer details are “swapped” with a paying (Global‑e) customer’s details when submitting the order to the Merchant. By default, IsEndCustomerPrimary is FALSE.TRUE - The primary customer is the same as the end customer who has placed the orderFALSE - The primary customer denotes the paying (Global‑e) customer and the secondary customer denotes the end customer who has placed the order with Global‑e checkoutYes
SendConfirmationBooleanIndicates if e-mail confirmation of the respective order’s status change needs to be sent to the paying customer (Global‑e acts as a paying customer).Yes

Merchant.CustomerDetails

Parameter NameTypeDescriptionMandatoryGEM Only
Address1StringAddress line 1NoYes
Address2StringAddress line 2NoYes
AddressBookIdStringId of the current address from within the address bookNoYes
AddressBookNameStringName of the current address from within the address bookNoYes
CityStringCity nameNoYes
CompanyStringCompany nameNoYes
CountryCodeStringCustomerTaxId2-char ISO country codeNoYes
CountryNameStringCountry nameNoYes
EmailStringEmail addressNoYes
FaxStringFaxNoYes
FirstNameStringFirst nameNoYes
FirstNameInLocalCultureStringFirst name in local cultureNo
LastNameStringLast nameNoYes
LastNameInLocalCultureStringLast name in local cultureNo
MiddleNameStringMiddle nameNoYes
Phone1StringPhone #1NoYes
Phone2StringPhone #2NoYes
SalutationStringSalutation or title (e.g. Dr., Mr., etc.)NoYes
SaveAddressBooleanIndicates that the current address should be saved in the Merchant platformNo
StateCodeStringState or province ISO code such as AZ for Arizona (if applicable)NoYes
StateOrProviceStringState or province nameNoYes
ZipStringZip or postal codeNoYes

Merchant.Discount

Parameter NameTypeDescriptionMandatoryGEM Only
CouponCodeStringMerchant CouponCode used for this discount (applicable to coupon-based discounts only)NoYes
DescriptionStringDiscount textual descriptionNoYes
DiscountCodeStringDiscount code originally specified in the Discount.DiscountCode property of the respective discount in SendCart method for the cart converted to this order on Global‑e.NoYes
DiscountSourceEnumThe enum DiscountSource has the following possible values:
1 = Merchant
2 = FixedShippingPrice
3 = PercentageCartPrice
4 = HiddenForceDDP
5 = Amend
6 = RemoteAreaSurchargeSubsidy
7 = LoyaltyPoints
8 = PaymentCharge
9 = ReplacementOrder
Yes
DiscountTypeDecimalDiscount type (“Cart”, “Shipping”, etc.), as defined in the DiscountTypeOptions enumeration described in the Discount class in this document.Yes
InternationalPriceDecimalDiscount value in end customer’s currency (specified in InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, and IncludeVAT handling.NoYes
LocalVATRateDecimalThe VAT rate that would be applied to this discount if the order was placed by the local customer. This value must be specified if UseCountryVAT for the current Country is TRUE and therefore the VATRate property denotes the VAT for the target country.NoYes
LoyaltyVoucherCodeStringLoyalty Voucher code originally specified in Discount.LoyaltyVoucherCode property of the respective discount in SendCart method for the cart converted to this order on Global‑e.NoYes
NameStringDiscount nameYes
PriceDecimalDiscount value in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.Yes
ProductCartItemIdStringIdentifier of the product cart item related to this discount on the Merchant’s site originally specified in the Discount.ProductCartItemId property of the respective discount in the SendCart method for the cart converted to this order on Global‑e.NoYes
VATRateDecimalThe VAT rate applied to this discountYes

Merchant.InternationalDetails

Parameter NameTypeDescriptionMandatoryGEM Only
CardNumberLastFourDigitsStringThe last 4 digits of the Card number (if applicable).No
CashOnDeliveryFeeDecimalThe additional charge is paid by the end customer when the “Cash on Delivery” payment method has been selected.No
ConsignmentFeeDecimalThe consignment fee is paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.No
CurrencyCodeString3-char ISO code for the currency selected by the end customer for the order payment.
CustomerDTBreakdownObject DTBreakdownContains the duties and taxes parts the customer paid for the order in the currency denoted by CurrencyCode.NoYes
DeliveryDaysFromDecimalThe minimum number of days for delivery to the end customer for the selected shipping method.No
DeliveryDaysToDecimalThe maximum number of days for delivery to the end customer for the selected shipping method.No
DiscountedShippingPriceDecimalThe price paid by the customer in local currency. Total Shipping price reducing Order Discounts International price.
DutiesGuaranteedBoolIndicates if the end customer has selected the “guaranteed duties and taxes” option.
ExpirationDatestringCard expiration date in YYYY-MM-DD format (if applicable).No
MerchantDTBreakdownObject DTBreakdownContains the duties and taxes parts the Merchant subsidized for the order in the currency denoted by CurrencyCode.NoYes
OrderTrackingNumberStringTracking number used by the selected international shipping method for this order.No
OrderTrackingUrlStringFull tracking URL including OrderTrackingNumber used by the selected international shipping method for this order.No
OrderWaybillNumberStringWaybill number used by the selected international shipping method for this order.No
ParcelsTrackingList of Merchant.ParcelTrackingList of Merchant.ParcelTracking objects, each object holds the parcel tracking number and full tracking URL for the relevant shipper (with the parcel tracking number).
PaymentMethodCodeStringCode denoting the selected payment method as defined on the Merchant’s site (to be mapped on the Global‑e side). If this payment method doesn’t exist on the Merchant’s site, the internal Global‑e payment method code will be specified instead.
PaymentMethodNameStringName of the selected payment method.
RemoteAreaSurchargeDecimalRemote area surcharge paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.No
SameDayDispatchCostDecimalCost of the “Same Day Dispatch” option (if selected by the end customer on Global‑e checkout), in the currency denoted by CurrencyCode. This value is NOT included in TotalShippingPrice.No
ShippingMethodCodeStringCode denoting the selected international shipping method as defined on the Merchant’s site (to be mapped on the Global‑e side). If this international shipping method doesn’t exist on the Merchant’s site, the internal Global‑e shipping method code will be specified instead.
ShippingMethodNameStringName of the selected international shipping method.
ShippingMethodStatusCodeStringCode denoting the selected shipping status as defined on the Merchant’s site (to be mapped on the Global‑e side). If this shipping status doesn’t exist on the Merchant’s site, the internal Global‑e shipping status code will be specified instead.No
ShippingMethodStatusNameStringName of the shipping status.No
ShippingMethodTypeCodeStringCode denoting the selected international shipping method type as defined on the Merchant’s site (to be mapped on the Global‑e side). If this international shipping method type does not exist on the Merchant’s site, the internal Global‑e shipping method type code will be specified instead.
ShippingMethodTypeNameStringName of the selected international shipping method type.
ShippingVATRateDecimalThe shipping VAT rate for the customer. This rate is applied to the shipping cost.Yes
SizeOverchargeValueDecimalOversized items charge paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.No
TotalCCFPriceDecimalTotal Customs Clearance Fees value in the currency denoted by CurrencyCode. This value is included in TotalDutiesPrice.No
TotalDutiesPriceDecimalTotal Duties & Taxes value including Customs Clearance Fees, in the currency denoted by CurrencyCode.
TotalPriceDecimalTotal order price in the currency denoted by CurrencyCode.
TotalShippingPriceDecimalTotal shipping price in the currency denoted by CurrencyCode.
TotalVATAmountDecimalAmount of VAT paid by the customer to Global‑e
TransactionCurrencyCodeString3-char ISO code for the currency actually used for the current order payment. TransactionCurrencyCode may differ from CurrencyCode if the currency selected by the end customer could not be used with the selected payment method.
TransactionTotalPriceDecimalTotal order price actually paid by the end customer in the currency denoted by TransactionCurrencyCode.
USSalesTaxDecimalSales tax value for the USA in the currency denoted by CurrencyCode. This value is included in TotalDutiesPrice.

DTBreakdown

Parameter NameTypeDescriptionMandatoryGEM Only
DutiesDecimalDuties that are applied.Yes
OtherDecimalOther DT fees that are applied.NoYes
SalesTaxesDecimalSales taxes that are applied.

Merchant.Parcel

Parameter NameTypeDescriptionMandatory
CodeStringParcel code.
ParcelStatusIdDecimalParcel status id.
StatusNameStringParcel status name.
TrackingUrlStringDirect tracking URL.
ProductsList of Merchant.ParcelProductList of products included in the parcel.

Merchant.ParcelProduct

Parameter NameTypeDescriptionMandatory
CartItemIdStringCart item id of the product.
QuantityDecimalProduct quantity included in the parcel.
SkuStringProduct SKU.

Merchant.OriginalOrder

Parameter NameTypeDescriptionMandatoryGEM Only
MerchantInternalOrderIdStringInternalOrderId returned from SendOrderToMerchant call for the original order.NoYes
MerchantOrderIdStringOrderId returned from SendOrderToMerchant call for the original order.NoYes
OrderIdStringGlobal‑e order unique identifier for the original order.

Merchant.Parcel

Parameter NameTypeDescriptionMandatory
CodeStringParcel code.
ParcelStatusIdDecimalParcel status id.
StatusNameStringParcel status name.
TrackingUrlStringDirect tracking URL.
ProductsList of Merchant.ParcelProductList of products included in the parcel.

Merchant.ParcelProduct

Parameter NameTypeDescriptionMandatory
CartItemIdStringCart item id of the product.
QuantityDecimalProduct quantity included in the parcel.
SkuStringProduct SKU.

Merchant.PaymentDetails

Parameter NameTypeDescriptionMandatoryGEM Only
Address1StringAddress line 1NoYes
Address2StringAddress line 2NoYes
CardNumberStringCard numberYes
CityStringCity nameNoYes
CountryCodeString2-char ISO country codeYes
CountryNameStringCountry nameYes
CVVNumberStringCard CVV numberYes
EmailStringE-mail addressNoYes
ExpirationDateStringCard expiration date (in YYYY-MM-DD format)Yes
FaxStringFaxNoYes
OwnerFirstNameStringCard owner’s first nameOptional if OwnerName is specifiedYes
OwnerLastNameStringCard owner’s last nameOptional if OwnerName is specifiedYes
OwnerNameStringCard owner’s full name (the Merchant may choose to consider either full name or first name with the last name, according to the existing payment method input validation requirements).NoYes
PaymentMethodCodeStringPayment method code used to identify the payment method on the Merchant’s site (to be mapped on the Global‑e side).Yes
PaymentMethodNameStringPayment method nameYes
PaymentMethodTypeCodeStringPayment method type’s code used to identify the payment method type (such as Credit Card or Check) on the Merchant’s site (to be mapped on the Global‑e side).Yes
Phone1StringPhone #1NoYes
Phone2StringPhone #2NoYes
StateCodeStringState or province ISO code such as AZ for Arizona (if applicable)NoYes
StateOrProviceStringState or province nameNoYes
ZipStringZip or postal codeNoYes

Merchant.Product

Parameter NameTypeDescriptionMandatoryGEM Only
AttributesList of Merchant.CartProductAttributeCustom attributes describe products that customers can personalize according to what the site offers. Each Attribute holds a key to specify attribute name and Value properties.NoYes
BackOrderDateStringEstimated date for the backordered item to be in stockNoYes
BrandObject Merchant.BrandProduct’s brandSkuNo
CartItemIdStringIdentifier of the cart item on the Merchant’s site originally specified in the Product.CartItemId property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
CartItemOptionIdStringIdentifier of the child cart item “option” on the Merchant’s site originally specified in the Product.CartItemOptionId property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
CategoriesList of Merchant.CategoryList of product categoriesNo
CustomerVATRateDecimalThe customer VAT rate applied to this productYes
DiscountedPriceDecimalThe product value is in Merchant currency after deducting all product and cart level discounts from the price. Product level discounts will be fully deducted from the respective product’s price and cart discounts will be prorated over all products according to the remaining value. This value can be used as the pre-calculated value for the returned product’s refund.Yes
DiscountedPriceForCustomsDecimalProduct price in Merchant currency reflects the price after Reverse D&T calculation.Yes
DTBreakdownObject DTBreakdownContains the duties and taxes per item in Merchant currency.NoYes
GenericHSCodeStringProduct’s HS codeNoYes
GiftMessageStringText originally specified in the Product.GiftMessage property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
HandlingCodeStringCode originally specified in Product.HandlingCode property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
InternationalDiscountedPriceDecimalThe product value in customer currency after deducting all product and cart level discounts from the price. Product level discounts will be fully deducted from the respective product’s price and cart discounts will be prorated over all products according to the remaining value. This value can be used as the pre-calculated value for the returned product’s refund.Yes
InternationalDiscountedPriceForCustomsDecimalProduct price in customer currency reflects the price after Reverse D&T calculationYes
InternationalDiscountedPriceInMerchantCurrencyDecimalProduct Price in Merchant currencyYes
InternationalDTBreakdownObject DTBreakdownContains the duties and taxes per item in customer currency.NoYes
InternationalListPriceDecimalSingle product list price in end customer’s currency (specified in the InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling.NoYes
InternationalPriceDecimalSingle product final sale price in end customer currency (specified in InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling.NoYes
IsBackOrderedBoolIdentifies if the product was ordered as a backed ordered itemTRUE - Product is back-ordered.FALSE - Product is not back-ordered.NoYes
LineItemInternationalPriceDecimalLine item (product in ordered quantity) price in end customer’s currency (specified in the InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling. If not specified, should be deemed equal to “InternationalPrice * Quantity”. If specified, should take preference over InternationalPrice.No
LineItemPriceBeforeGlobalEDiscount- DEPRECATEDDecimalLine item (product in ordered quantity) price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant, before applying any per-product Global‑e discounts (such as per-product Shipping discounts). If not specified, should be deemed equal to “PriceBeforeGlobalEDiscount * Quantity”. If specified, should take preference over PriceBeforeGlobalEDiscount.No
ListPriceDecimalSingle product List price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.Yes
NameStringName of the product. Returned by GetOrdersDetails API onlyNoYes
ParentCartItemIdStringIdentifier of the current item’s parent cart item on the Merchant’s site originally specified in the Product.ParentCartItemId property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
PriceDecimalSingle product final sale price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.Yes
PriceBeforeGlobalEDiscount- DEPRECATEDDecimalSingle product price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant, before applying any per-product Global‑e discounts (such as per-product Shipping discounts). If no Global‑e discount was applied, PriceBeforeGlobalEDiscount is equal to Price.NoYes
ProductAttributesList of Merchant.ProductAttributeProduct attributes. Returned by GetOrdersDetails API onlyNoYes
QuantityDecimalProduct quantity in the order that is currently being submitted to the Merchant.Yes
RoundingRateDecimalThe conversion rate applied to this product price paid by the end customer when calculating the prices paid by Global‑e to the Merchant in the original Merchant’s currency. This rate includes “FX conversion” and “marketing rounding” factors.Yes
SkuStringSKU code used to identify the product on the Merchant’s site (to be mapped on the Global‑e side).Yes
VATRateDecimalThe VAT rate applied to this productYes

DTBreakdown

Parameter NameTypeDescriptionMandatoryGEM Only
DutiesDecimalDuties that are applied.Yes
OtherDecimalOther DT fees that are applied.NoYes
SalesTaxesDecimalSales taxes that are applied.

Merchant.Brand

Parameter NameTypeDescriptionMandatory
BrandCodeStringBrand code
NameStringBrand name

Merchant.Category

Parameter NameTypeDescriptionMandatory
CategoryCodeStringMerchant category code
NameStringMerchant category name

Merchant.CartProductAttribute

Parameter NameTypeDescriptionMandatory
AttributeKeyStringCustom product attribute name that is used to describe the personalized product.
AttributeValueStringCustom product attribute value that is used to describe the personalized product.

Merchant.ProductAttribute

Parameter NameTypeDescriptionMandatory
AttributeKeyStringCustomized product attribute name, used to describe the personalized product.
AttributeValueStringCustomized product attribute, used to describe the personalized product.

OrderDocument

Parameter NameTypeDescriptionMandatoryGEM Only
CreationDateTimeDateTimeThe date and time the document was created.No
DocumentDataStringBase64 encoded byte array representing the document file content.
DocumentExtensionStringDocument extension (PDF, ZPL, EPL).Yes
DocumentReferenceStringThe reference provided by the government authorities to this document (such as MRN or ITN number).No
DocumentTypeCodeStringDocument type code, this value can be:
CommercialInvoice = 1
PackingList = 2
ShipperManifest = 3
Label = 4
VATInvoice = 5
DangerousGoodDeclarationLink = 6
GELabel = 7
CustomerReceiptInvoice = 8
ArchibeLabel = 9
DeliveryAdvice = 10
EAD = 11
Yes
DocumentTypeNameStringDocument type name, e.g. AWB, CommercialInvoiceAndPackingList or Manifest.Yes
ErrorMessageStringDescription of the error for this entity (order/parcel) if it happened.NoYes
ParcelCodeStringThe parcel code related to the document.No
ShippingServiceNameStringThe name of the shipping service for this document (relevant for DispatchOrders and DispatchConsolidatedShipment).No
TrackingNumberStringShipping tracking number associated with the document.No
URLStringURL of the document.Yes

OrderPaymentMethod

Parameter NameTypeDescriptionMandatoryGEM Only
GiftCardFieldsStringGift card fieldsYes
IsGiftCardBooleanIndicates if the order payment method is a gift card.TRUE if using a gift card for paymentFALSE if not using a gift cardYes
PaidAmountInCustomerCurrencyDecimalAmount that paid in customer’s currencyYes
PaidAmountInMerchantCurrencyDecimalAmount paid in Merchant’s currencyYes
PaymentMethodIdDecimalThe ID for the payment methodYes
PaymentMethodNameStringName of the payment methodYes

OrderStatusReason

Parameter NameTypeDescriptionMandatoryGEM Only
NameStringOrder status reason nameYes
OrderStatusReasonCodeStringCode denoting the order status reason on the Merchant’s site (to be mapped on the Global‑e side)Yes
Response
Some values are encoded and require the merchant to decode them, for example URLs, addresses, emails, and phone numbers.
NameTypeDescriptionMandatory
ResponseInfoObject Merchant.ResponseInfoIndicates if an API call was successful or not and why.

Merchant.ResponseInfo

Parameter NameTypeDescriptionMandatoryGEM Only
DescriptionStringOptional response description. In case of an error, this property indicates the error message description.No
ErrorCodeStringError code to be returned when an error occurs.NoYes
InternalOrderIdStringOrder unique identifier on the Merchant’s siteOptional if there was an error, a failure, or if the action is not related to a specific order
MessageStringOptional response message. In case of an error, this property indicates the error message text.No
OrderIdStringOrder identifier on the Merchant’s site used for display and reporting purposes only. Unlike the InternalOrderId, this identifier is not necessarily unique over time, as the Merchant’s site may potentially reuse it (for example after deleting the old order having the same OrderId).NoYes
PaymentAmountStringThe total payment amount in PaymentCurrency charged for the order (if payment was processed in the respective API method call).No
PaymentCurrencyCodeString3-char ISO currency code for the order (if payment was processed in the respective API method call).No
StatusCodeStringCode denoting the order status on the Merchant’s site (to be mapped on the Global‑e side).Optional if there was an error or failure
SuccessBooleanIndicates if the call has succeeded.TRUE - Call succeeded.FALSE - Denotes an error or failure.

Examples

Request Request Sample 1
Request Sample 2

UpdateOrderStatus (Global-e to Merchant)

Updates the order status on the merchant’s site. Only order.OrderId and order.StatusCode members are mandatory for this method. This method is required to support order cancellation when initiated on Global-e’s side. It can also be used for reporting other order status updates as they occur in the Global-e’s system, and reflect them in the Merchant’s system.
  • Merchant GUID - In request payload (required)
  • Custom header (optional)
  • IP whfUpdateOrderStatus (Global-e to Merchant)itelist (optional)
  • HTTP Basic Authentication (optional)
  • JWT (optional)
No automatic retries are attempted. A manual retry can be done by the Global-e support team. Method/URL

Parameters

Requests can contain more parameters than listed. Request
NameTypeDescriptionMandatory
orderObject Merchant.OrderMerchant.Order objects contain information about orders.Yes

Merchant.Order

Parameter NameTypeMandatoryDescriptionGEM Only
AdditionalRequiredDocumentsList of OrderDocumentThe required additional documents for shipping. When the information is provided, the Merchant must wait for the documents to be provided before starting fulfilment.Yes
AllowMailsFromMerchantBooleanIndicates if the end customer has opted on the Global‑e checkout page to receive emails from the Merchant.TRUE - Customer opted to receive emailsFALSE - CustoCurrencyCodemer did not opt to receive emails
CartHashStringNoCart hash originally specified in the merchantCartHash argument for the SendCart method for the cart converted to this order on Global‑e.Yes
CartIdStringNoIdentifier of the cart on the Merchant’s site originally specified in merchantCartToken argument for SendCart method for the cart converted to this order on Global‑e.Yes
CashOnDeliveryFeeDecimalCash On Delivery fee amount in Merchant’s currency.
CCFPriceDecimalCustoms Clearance Fees (CCF), in the Merchant currency.Yes
ClearCartBooleanIndicates if the end customer’s cart must be cleared before this method finishes execution on the Merchant’s site.TRUE - The end customer’s cart must be clearedFALSE - The end customer’s cart does not have to be cleareYes
CurrencyCodeStringCustomer3-char ISO currency code for the order being posted. By default, this is set to the original Merchant’s currency.Yes
CurrencyNameStringNoCustomer currency name. Returned by GetOrdersDetails API only
CustomerObject Merchant.CustomerThe paying customer’s preferences (Global-e acts as a paying customer).Yes
CustomerCommentsStringHolds the gift message. In the offline order flow, holds the product comment.Yes
CustomerCommentsStringNoComments text entered by the end customer in Global‑e checkout.
CustomerDTBreakdownObject DTBreakdownNoContains the duties and tax parts the customer paid for the order.
DateCreatedStringNoOrder creation date and time. Returned by GetOrdersDetails API only.
DiscountedShippingPriceDecimalThe shipping price paid by the customer converted to the Merchant’s currency. Total Shipping price reducing Order Discounts (InternationalDetails.DiscountedShippingPrice price converted to the Merchant currency).Yes
DiscountsList of Merchant.DiscountNoThe list of discounts being applied to the order, according to the original list of discounts received in SendCart for this order, and to the Merchant shipping configuration on Global‑e.Yes
DoNotChargeVATBooleanNoIndicates if the end customer hasn’t been charged VAT in Global‑e checkout, as specified in the doNotChargeVAT argument for the SendCart method for the cart converted to this order on Global‑e.TRUE - VAT is not chargedTRUE - VAT is chargedYes
ExporterDetails.DestinationRegistrationNumberDecimalThe Tax reference number of the GE Entity at the destination country. Should only be provided when the order is tax-collected. Otherwise, the field should be Null. The value should be Null if the order destination is for an EU country.
ExporterDetails.LocalRegistrationClearanceBooleanIndicates whether the Merchant can use the destination Registration number.TRUE - Merchant can use destination Registration number (ExporterDetails.DestinationRegistrationNumber)FALSE - Merchant cannot use destination Registration number .
FreeShippingCouponCodeStringNoMerchant’s free shipping CouponCode applied by the end customer, as specified in the FreeShippingCouponCode argument for the SendCart method for the cart converted to this order on Global‑e.Yes
InternationalDetailsObject Merchant.InternationalDetailsNoDetails referring to the end customer’s order placed on the Global‑e side. These details apply only to the Merchants dealing with international customers’ support themselves.Yes
IsB2BBooleanIndicates if the order has a Company name and VAT registration number.TRUE - Order contains a company name and VAT registration numberFALSE - Order does not contain a company name and VAT registration number
IsFreeShippingBooleanNoIndicates if the Merchant offers free international shipping to the end customer, as specified in the IsFreeShipping argument for the SendCart method for the cart converted to this order on Global‑e.TRUE - Shipping is free.FALSE - Shipping is not free.Yes
IsMotoBooleanIndicates if the the customer is a customer support agent and an “Offline order” took placeTRUE - The customer is a customer support agent and an “Offline order” took placeFALSE - The customer is a regular customerYes
IsReplacementOrderBooleanIndicates if the order is a replacement.TRUE - The order is a replacementFALSE - The order is not a replacement
IsSplitOrderBooleanNoIndicates if the order should be handled as a split order (i.e. without consolidation).TRUE - Order will be splitFALSE - Order is not to be splitYes
IsTaxExemptionBooleanIndicates if the order has a tax exemption.TRUE - Order has a tax exemptionFALSE - Order does not have a tax exemption
LoyaltyCodeStringNoLoyalty code applicable to the Merchant’s site entered by the end customer in Global‑e checkout.Yes
LoyaltyPointsEarnedDecimalNoThe number of loyalty points to be earned for this purchase by the end customer on the Merchant’s site, as specified in the loyaltyPointsEarned argument for the SendCart method for the cart converted to this order on Global-e.Yes
LoyaltyPointsSpentDecimalNoThe number of loyalty points spent for this purchase. The existing loyalty points handling procedure must be applied to the end customer’s user account. Therefore, the “Loyalty points” type discount must not be applied to the order directly but can be used for display purposes elsewhere in the system (i.e. on the end user’s My Account page).Yes
MarkupsList of Merchant.DiscountNoThe list of markups being applied to the order, according to the Merchant shipping configuration on Global‑e. Effectively Markup is a “negative Discount”. The main use case for markups is when the end customer is charged in Global‑e checkout, a flat shipping rate, which is higher than the shipping rate, calculated for the respective order. In this case, Global‑e pays the difference to the Merchant in the form of Markups applied to the order. Unlike Discounts, Markups may be only passed to the Merchant’s back-end ERP system for reconciliation purposes, and may not be displayed to the end customer.Yes
MerchantDTBreakdownObject DTBreakdownNoContains the duties and tax parts that the Merchant subsidized for the order.
MerchantGUIDStringUnique identifier of the Merchant on Global-e.Yes
MerchantOrderIdStringNoOrder unique identifier on the Merchant’s site returned from a previous call to the SendOrderToMerchant method for this order.
ModifiedProductStringHolds the product’s SKUYes
OrderCreationSourceDecimalOne of the values of OrderCreationSource enumeration denoting a type of discount shown in the OrderCreationSource Table.
OrderDocumentsList of OrderDocumentAlways contains a single document - it can be either a VAT Invoice or a Customer Receipt, depends if it is within the EU or not.Yes
OrderIdStringGlobal‑e order unique identifier.Yes
OrderPaymentMethodsList of OrderPaymentMethodList of payment methods the customer use (Credit card, Gift Cards)Yes
OrderStatusReasonObject OrderStatusReasonReason for the order status, why it was cancelled.Yes
OriginalOrderObject Merchant.OriginalOrderNoDetails that refer to the original order if the current order is a replacement.Yes
OTCurrencyCodeStringNoCurrency of the one-time voucher code used to place the order.
OTVoucherAmountDecimalNoThe amount taken off the voucher when applicable.Yes
OTVoucherCodeStringNoOne-time voucher code used to place the orderYes
ParcelsList of Merchant.ParcelNoThe list of parcels created for the order. Returned by GetOrdersDetails API only.
PaymentDetailsObject Merchant.PaymentDetailsThe paying customer’s payment details.Yes
PrePayOfferedBooleanIndicates if the prepayment option for duties and taxes was offered to the customer.TRUE - Prepayment option offered.FALSE - Prepayment option not offered.
PriceCoefficientRateDecimalCountryCoefficient rate applied to the prices in this order.Yes
PrimaryBillingObject Merchant.CustomerDetailsThe primary customer’s billing details. If IsEndCustomerPrimary is set to TRUE, then the primary customer is the payer and his details are indicated in the URL-encoded form.Yes
PrimaryShippingObject Merchant.CustomerDetailsPrimary customer’s shipping details. If Customer.IsEndCustomerPrimary is TRUE, this field contains the end customers’ shipping details. this field contains the Global-e hub’s shipping address in the URL-encoded form.Yes
ProductsList of Merchant.ProductThe list of products being purchased.Yes
RoundingRateDecimalThe average conversion rate applied to the prices paid by the end customer when calculating the prices paid by Global‑e to the Merchant in the original Merchant’s currency. This rate includes “FX conversion” and “marketing rounding” factors.Yes
SameDayDispatchBooleanNoIndicates if the end customer has requested “Same Day Dispatch” on Global‑e checkout.TRUE - Customer requested “Same Day Dispatch”FALSE - Customer did not request “Same Day Dispatch”Yes
SameDayDispatchCostDecimalNoCost of the “Same Day Dispatch” option selected by the end customer on Global‑e checkout, in the original Merchant’s currency.Yes
SecondaryBillingObject Merchant.CustomerDetailsSecondary customer’s billing details. If Customer.IsEndCustomerPrimary is FALSE, this contains attributes of the end customer’s details indicated in the URL-encoded form.Yes
SecondaryShippingObject Merchant.CustomerDetailsSecondary customer’s shipping details. If Customer.IsEndCustomerPrimary is FALSE, this field contains the end customers’ shipping details.Yes
ShippingMethodCodeStringNoCode denoting the local shipping method selected from the list of available shipping options provided in the shippingOptionsList argument for the SendCart method for the cart converted to this order on Global‑e.Yes
ShipToStoreCodeStringExporterDetailsNoCode denoting the Merchant’s store specified by the customer for “ship to shop” shipping destination (to be mapped on the Global‑e side).Yes
StatusCodeStringCode denoting the order status on the Merchant’s site (to be mapped on the Global‑e side).Yes
SubsList of Merchant.OrderContains Sub orders related to Mixed order. This list is defined only in case the order is Mixed.Yes
TotalDutiesAndTaxesPriceDecimalTotal Duties & Taxes value including Customs Clearance Fees, in the Merchant currency. This amount is the total amount, regardless of whether the customer or the Merchant paid it.Yes
TotalDutiesPaidByCustomerPriceDecimalWebStoreInstanceCodeThe total amount of duties paid by the customer in the Merchant’s currency.Yes
UserIdStringNoInternal User identifier on the Merchant’s site originally specified in the shippingDetails.UserIdargument for SendCart method for the cart converted to this order on Global‑e.Yes
USSalesTaxDecimalSales tax value for USA in the Merchant currency. This value is included in TotalDutiesAndTaxesPrice.Yes
WebStoreCodeStringNoCode used on the Merchant’s side to identify the web store, as specified in the WebStoreCode argument for the SendCart method for the cart converted to this order on Global‑e.Yes
OrderCreationSource One of the following possible values of OrderCreationSource enumeration denoting a type of discount:
OrderCreationSource ValueNameDescription
0GECheckoutThe default value for orders created in a normal flow via Global‑e Checkout
1MarketplaceThe value for orders that are created at a marketplace and sent to Global-e via your brand

DTBreakdown

Parameter NameTypeDescriptionMandatoryGEM Only
DutiesDecimalDuties that are applied.Yes
OtherDecimalOther DT fees that are applied.NoYes
SalesTaxesDecimalSales taxes that are applied.

Merchant.Customer

Parameter NameTypeDescriptionMandatory
IsEndCustomerPrimaryBooleanIndicates if end customer details are “swapped” with a paying (Global‑e) customer’s details when submitting the order to the Merchant. By default, IsEndCustomerPrimary is FALSE.TRUE - The primary customer is the same as the end customer who has placed the orderFALSE - The primary customer denotes the paying (Global‑e) customer and the secondary customer denotes the end customer who has placed the order with Global‑e checkoutYes
SendConfirmationBooleanIndicates if e-mail confirmation of the respective order’s status change needs to be sent to the paying customer (Global‑e acts as a paying customer).Yes

Merchant.CustomerDetails

Parameter NameTypeDescriptionMandatoryGEM Only
Address1StringAddress line 1NoYes
Address2StringAddress line 2NoYes
AddressBookIdStringId of the current address from within the address bookNoYes
AddressBookNameStringName of the current address from within the address bookNoYes
CityStringCity nameNoYes
CompanyStringCompany nameNoYes
CountryCodeStringCustomerTaxId2-char ISO country codeNoYes
CountryNameStringCountry nameNoYes
EmailStringEmail addressNoYes
FaxStringFaxNoYes
FirstNameStringFirst nameNoYes
FirstNameInLocalCultureStringFirst name in local cultureNo
LastNameStringLast nameNoYes
LastNameInLocalCultureStringLast name in local cultureNo
MiddleNameStringMiddle nameNoYes
Phone1StringPhone #1NoYes
Phone2StringPhone #2NoYes
SalutationStringSalutation or title (e.g. Dr., Mr., etc.)NoYes
SaveAddressBooleanIndicates that the current address should be saved in the Merchant platformNo
StateCodeStringState or province ISO code such as AZ for Arizona (if applicable)NoYes
StateOrProviceStringState or province nameNoYes
ZipStringZip or postal codeNoYes

Merchant.Discount

Parameter NameTypeDescriptionMandatoryGEM Only
CouponCodeStringMerchant CouponCode used for this discount (applicable to coupon-based discounts only)NoYes
DescriptionStringDiscount textual descriptionNoYes
DiscountCodeStringDiscount code originally specified in the Discount.DiscountCode property of the respective discount in SendCart method for the cart converted to this order on Global‑e.NoYes
DiscountSourceEnumThe enum DiscountSource has the following possible values:
1 = Merchant
2 = FixedShippingPrice
3 = PercentageCartPrice
4 = HiddenForceDDP
5 = Amend
6 = RemoteAreaSurchargeSubsidy
7 = LoyaltyPoints
8 = PaymentCharge
9 = ReplacementOrder
Yes
DiscountTypeDecimalDiscount type (“Cart”, “Shipping”, etc.), as defined in the DiscountTypeOptions enumeration described in the Discount class in this document.Yes
InternationalPriceDecimalDiscount value in end customer’s currency (specified in InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, and IncludeVAT handling.NoYes
LocalVATRateDecimalThe VAT rate that would be applied to this discount if the order was placed by the local customer. This value must be specified if UseCountryVAT for the current Country is TRUE and therefore the VATRate property denotes the VAT for the target country.NoYes
LoyaltyVoucherCodeStringLoyalty Voucher code originally specified in Discount.LoyaltyVoucherCode property of the respective discount in SendCart method for the cart converted to this order on Global‑e.NoYes
NameStringDiscount nameYes
PriceDecimalDiscount value in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.Yes
ProductCartItemIdStringIdentifier of the product cart item related to this discount on the Merchant’s site originally specified in the Discount.ProductCartItemId property of the respective discount in the SendCart method for the cart converted to this order on Global‑e.NoYes
VATRateDecimalThe VAT rate applied to this discountYes

Merchant.InternationalDetails

Parameter NameTypeDescriptionMandatoryGEM Only
CardNumberLastFourDigitsStringThe last 4 digits of the Card number (if applicable).No
CashOnDeliveryFeeDecimalThe additional charge is paid by the end customer when the “Cash on Delivery” payment method has been selected.No
ConsignmentFeeDecimalThe consignment fee is paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.No
CurrencyCodeString3-char ISO code for the currency selected by the end customer for the order payment.
CustomerDTBreakdownObject DTBreakdownContains the duties and taxes parts the customer paid for the order in the currency denoted by CurrencyCode.NoYes
DeliveryDaysFromDecimalThe minimum number of days for delivery to the end customer for the selected shipping method.No
DeliveryDaysToDecimalThe maximum number of days for delivery to the end customer for the selected shipping method.No
DiscountedShippingPriceDecimalThe price paid by the customer in local currency. Total Shipping price reducing Order Discounts International price.
DutiesGuaranteedBoolIndicates if the end customer has selected the “guaranteed duties and taxes” option.
ExpirationDatestringCard expiration date in YYYY-MM-DD format (if applicable).No
MerchantDTBreakdownObject DTBreakdownContains the duties and taxes parts the Merchant subsidized for the order in the currency denoted by CurrencyCode.NoYes
OrderTrackingNumberStringTracking number used by the selected international shipping method for this order.No
OrderTrackingUrlStringFull tracking URL including OrderTrackingNumber used by the selected international shipping method for this order.No
OrderWaybillNumberStringWaybill number used by the selected international shipping method for this order.No
ParcelsTrackingList of Merchant.ParcelTrackingList of Merchant.ParcelTracking objects, each object holds the parcel tracking number and full tracking URL for the relevant shipper (with the parcel tracking number).
PaymentMethodCodeStringCode denoting the selected payment method as defined on the Merchant’s site (to be mapped on the Global‑e side). If this payment method doesn’t exist on the Merchant’s site, the internal Global‑e payment method code will be specified instead.
PaymentMethodNameStringName of the selected payment method.
RemoteAreaSurchargeDecimalRemote area surcharge paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.No
SameDayDispatchCostDecimalCost of the “Same Day Dispatch” option (if selected by the end customer on Global‑e checkout), in the currency denoted by CurrencyCode. This value is NOT included in TotalShippingPrice.No
ShippingMethodCodeStringCode denoting the selected international shipping method as defined on the Merchant’s site (to be mapped on the Global‑e side). If this international shipping method doesn’t exist on the Merchant’s site, the internal Global‑e shipping method code will be specified instead.
ShippingMethodNameStringName of the selected international shipping method.
ShippingMethodStatusCodeStringCode denoting the selected shipping status as defined on the Merchant’s site (to be mapped on the Global‑e side). If this shipping status doesn’t exist on the Merchant’s site, the internal Global‑e shipping status code will be specified instead.No
ShippingMethodStatusNameStringName of the shipping status.No
ShippingMethodTypeCodeStringCode denoting the selected international shipping method type as defined on the Merchant’s site (to be mapped on the Global‑e side). If this international shipping method type does not exist on the Merchant’s site, the internal Global‑e shipping method type code will be specified instead.
ShippingMethodTypeNameStringName of the selected international shipping method type.
ShippingVATRateDecimalThe shipping VAT rate for the customer. This rate is applied to the shipping cost.Yes
SizeOverchargeValueDecimalOversized items charge paid by the end customer in the currency denoted by CurrencyCode. This value is included in TotalShippingPrice.No
TotalCCFPriceDecimalTotal Customs Clearance Fees value in the currency denoted by CurrencyCode. This value is included in TotalDutiesPrice.No
TotalDutiesPriceDecimalTotal Duties & Taxes value including Customs Clearance Fees, in the currency denoted by CurrencyCode.
TotalPriceDecimalTotal order price in the currency denoted by CurrencyCode.
TotalShippingPriceDecimalTotal shipping price in the currency denoted by CurrencyCode.
TotalVATAmountDecimalAmount of VAT paid by the customer to Global‑e
TransactionCurrencyCodeString3-char ISO code for the currency actually used for the current order payment. TransactionCurrencyCode may differ from CurrencyCode if the currency selected by the end customer could not be used with the selected payment method.
TransactionTotalPriceDecimalTotal order price actually paid by the end customer in the currency denoted by TransactionCurrencyCode.
USSalesTaxDecimalSales tax value for the USA in the currency denoted by CurrencyCode. This value is included in TotalDutiesPrice.

DTBreakdown

Parameter NameTypeDescriptionMandatoryGEM Only
DutiesDecimalDuties that are applied.Yes
OtherDecimalOther DT fees that are applied.NoYes
SalesTaxesDecimalSales taxes that are applied.

Merchant.Parcel

Parameter NameTypeDescriptionMandatory
CodeStringParcel code.
ParcelStatusIdDecimalParcel status id.
StatusNameStringParcel status name.
TrackingUrlStringDirect tracking URL.
ProductsList of Merchant.ParcelProductList of products included in the parcel.

Merchant.ParcelProduct

Parameter NameTypeDescriptionMandatory
CartItemIdStringCart item id of the product.
QuantityDecimalProduct quantity included in the parcel.
SkuStringProduct SKU.

Merchant.OriginalOrder

Parameter NameTypeDescriptionMandatoryGEM Only
MerchantInternalOrderIdStringInternalOrderId returned from SendOrderToMerchant call for the original order.NoYes
MerchantOrderIdStringOrderId returned from SendOrderToMerchant call for the original order.NoYes
OrderIdStringGlobal‑e order unique identifier for the original order.

Merchant.Parcel

Parameter NameTypeDescriptionMandatory
CodeStringParcel code.
ParcelStatusIdDecimalParcel status id.
StatusNameStringParcel status name.
TrackingUrlStringDirect tracking URL.
ProductsList of Merchant.ParcelProductList of products included in the parcel.

Merchant.ParcelProduct

Parameter NameTypeDescriptionMandatory
CartItemIdStringCart item id of the product.
QuantityDecimalProduct quantity included in the parcel.
SkuStringProduct SKU.

Merchant.PaymentDetails

Parameter NameTypeDescriptionMandatoryGEM Only
Address1StringAddress line 1NoYes
Address2StringAddress line 2NoYes
CardNumberStringCard numberYes
CityStringCity nameNoYes
CountryCodeString2-char ISO country codeYes
CountryNameStringCountry nameYes
CVVNumberStringCard CVV numberYes
EmailStringE-mail addressNoYes
ExpirationDateStringCard expiration date (in YYYY-MM-DD format)Yes
FaxStringFaxNoYes
OwnerFirstNameStringCard owner’s first nameOptional if OwnerName is specifiedYes
OwnerLastNameStringCard owner’s last nameOptional if OwnerName is specifiedYes
OwnerNameStringCard owner’s full name (the Merchant may choose to consider either full name or first name with the last name, according to the existing payment method input validation requirements).NoYes
PaymentMethodCodeStringPayment method code used to identify the payment method on the Merchant’s site (to be mapped on the Global‑e side).Yes
PaymentMethodNameStringPayment method nameYes
PaymentMethodTypeCodeStringPayment method type’s code used to identify the payment method type (such as Credit Card or Check) on the Merchant’s site (to be mapped on the Global‑e side).Yes
Phone1StringPhone #1NoYes
Phone2StringPhone #2NoYes
StateCodeStringState or province ISO code such as AZ for Arizona (if applicable)NoYes
StateOrProviceStringState or province nameNoYes
ZipStringZip or postal codeNoYes

Merchant.Product

Parameter NameTypeDescriptionMandatoryGEM Only
AttributesList of Merchant.CartProductAttributeCustom attributes describe products that customers can personalize according to what the site offers. Each Attribute holds a key to specify attribute name and Value properties.NoYes
BackOrderDateStringEstimated date for the backordered item to be in stockNoYes
BrandObject Merchant.BrandProduct’s brandSkuNo
CartItemIdStringIdentifier of the cart item on the Merchant’s site originally specified in the Product.CartItemId property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
CartItemOptionIdStringIdentifier of the child cart item “option” on the Merchant’s site originally specified in the Product.CartItemOptionId property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
CategoriesList of Merchant.CategoryList of product categoriesNo
CustomerVATRateDecimalThe customer VAT rate applied to this productYes
DiscountedPriceDecimalThe product value is in Merchant currency after deducting all product and cart level discounts from the price. Product level discounts will be fully deducted from the respective product’s price and cart discounts will be prorated over all products according to the remaining value. This value can be used as the pre-calculated value for the returned product’s refund.Yes
DiscountedPriceForCustomsDecimalProduct price in Merchant currency reflects the price after Reverse D&T calculation.Yes
DTBreakdownObject DTBreakdownContains the duties and taxes per item in Merchant currency.NoYes
GenericHSCodeStringProduct’s HS codeNoYes
GiftMessageStringText originally specified in the Product.GiftMessage property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
HandlingCodeStringCode originally specified in Product.HandlingCode property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
InternationalDiscountedPriceDecimalThe product value in customer currency after deducting all product and cart level discounts from the price. Product level discounts will be fully deducted from the respective product’s price and cart discounts will be prorated over all products according to the remaining value. This value can be used as the pre-calculated value for the returned product’s refund.Yes
InternationalDiscountedPriceForCustomsDecimalProduct price in customer currency reflects the price after Reverse D&T calculationYes
InternationalDiscountedPriceInMerchantCurrencyDecimalProduct Price in Merchant currencyYes
InternationalDTBreakdownObject DTBreakdownContains the duties and taxes per item in customer currency.NoYes
InternationalListPriceDecimalSingle product list price in end customer’s currency (specified in the InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling.NoYes
InternationalPriceDecimalSingle product final sale price in end customer currency (specified in InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling.NoYes
IsBackOrderedBoolIdentifies if the product was ordered as a backed ordered itemTRUE - Product is back-ordered.FALSE - Product is not back-ordered.NoYes
LineItemInternationalPriceDecimalLine item (product in ordered quantity) price in end customer’s currency (specified in the InternationalDetails.CurrencyCode property for the respective Merchant.Order), after applying country coefficient, FX conversion, rounding rule (if applicable), and IncludeVAT handling. If not specified, should be deemed equal to “InternationalPrice * Quantity”. If specified, should take preference over InternationalPrice.No
LineItemPriceBeforeGlobalEDiscount- DEPRECATEDDecimalLine item (product in ordered quantity) price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant, before applying any per-product Global‑e discounts (such as per-product Shipping discounts). If not specified, should be deemed equal to “PriceBeforeGlobalEDiscount * Quantity”. If specified, should take preference over PriceBeforeGlobalEDiscount.No
ListPriceDecimalSingle product List price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.Yes
NameStringName of the product. Returned by GetOrdersDetails API onlyNoYes
ParentCartItemIdStringIdentifier of the current item’s parent cart item on the Merchant’s site originally specified in the Product.ParentCartItemId property of the respective product in the SendCart method for the cart converted to this order on Global‑e.NoYes
PriceDecimalSingle product final sale price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant.Yes
PriceBeforeGlobalEDiscount- DEPRECATEDDecimalSingle product price in the currency defined in the CurrencyCode property of the respective Merchant.Order object for the order being submitted to the Merchant, before applying any per-product Global‑e discounts (such as per-product Shipping discounts). If no Global‑e discount was applied, PriceBeforeGlobalEDiscount is equal to Price.NoYes
ProductAttributesList of Merchant.ProductAttributeProduct attributes. Returned by GetOrdersDetails API onlyNoYes
QuantityDecimalProduct quantity in the order that is currently being submitted to the Merchant.Yes
RoundingRateDecimalThe conversion rate applied to this product price paid by the end customer when calculating the prices paid by Global‑e to the Merchant in the original Merchant’s currency. This rate includes “FX conversion” and “marketing rounding” factors.Yes
SkuStringSKU code used to identify the product on the Merchant’s site (to be mapped on the Global‑e side).Yes
VATRateDecimalThe VAT rate applied to this productYes

DTBreakdown

Parameter NameTypeDescriptionMandatoryGEM Only
DutiesDecimalDuties that are applied.Yes
OtherDecimalOther DT fees that are applied.NoYes
SalesTaxesDecimalSales taxes that are applied.

Merchant.Brand

Parameter NameTypeDescriptionMandatory
BrandCodeStringBrand code
NameStringBrand name

Merchant.Category

Parameter NameTypeDescriptionMandatory
CategoryCodeStringMerchant category code
NameStringMerchant category name

Merchant.CartProductAttribute

Parameter NameTypeDescriptionMandatory
AttributeKeyStringCustom product attribute name that is used to describe the personalized product.
AttributeValueStringCustom product attribute value that is used to describe the personalized product.

Merchant.ProductAttribute

Parameter NameTypeDescriptionMandatory
AttributeKeyStringCustomized product attribute name, used to describe the personalized product.
AttributeValueStringCustomized product attribute, used to describe the personalized product.

OrderDocument

Parameter NameTypeDescriptionMandatoryGEM Only
CreationDateTimeDateTimeThe date and time the document was created.No
DocumentDataStringBase64 encoded byte array representing the document file content.
DocumentExtensionStringDocument extension (PDF, ZPL, EPL).Yes
DocumentReferenceStringThe reference provided by the government authorities to this document (such as MRN or ITN number).No
DocumentTypeCodeStringDocument type code, this value can be:
CommercialInvoice = 1
PackingList = 2
ShipperManifest = 3
Label = 4
VATInvoice = 5
DangerousGoodDeclarationLink = 6
GELabel = 7
CustomerReceiptInvoice = 8
ArchibeLabel = 9
DeliveryAdvice = 10
EAD = 11
Yes
DocumentTypeNameStringDocument type name, e.g. AWB, CommercialInvoiceAndPackingList or Manifest.Yes
ErrorMessageStringDescription of the error for this entity (order/parcel) if it happened.NoYes
ParcelCodeStringThe parcel code related to the document.No
ShippingServiceNameStringThe name of the shipping service for this document (relevant for DispatchOrders and DispatchConsolidatedShipment).No
TrackingNumberStringShipping tracking number associated with the document.No
URLStringURL of the document.Yes

OrderPaymentMethod

Parameter NameTypeDescriptionMandatoryGEM Only
GiftCardFieldsStringGift card fieldsYes
IsGiftCardBooleanIndicates if the order payment method is a gift card.TRUE if using a gift card for paymentFALSE if not using a gift cardYes
PaidAmountInCustomerCurrencyDecimalAmount that paid in customer’s currencyYes
PaidAmountInMerchantCurrencyDecimalAmount paid in Merchant’s currencyYes
PaymentMethodIdDecimalThe ID for the payment methodYes
PaymentMethodNameStringName of the payment methodYes

OrderStatusReason

Parameter NameTypeDescriptionMandatoryGEM Only
NameStringOrder status reason nameYes
OrderStatusReasonCodeStringCode denoting the order status reason on the Merchant’s site (to be mapped on the Global‑e side)Yes
Response
Some values are encoded and require the merchant to decode them, for example URLs, addresses, emails, and phone numbers.
NameTypeDescription
ResponseInfoObject Merchant.ResponseInfoIndicates if the API call was successful or not and why.

Merchant.ResponseInfo

Parameter NameTypeDescriptionMandatoryGEM Only
DescriptionStringOptional response description. In case of an error, this property indicates the error message description.No
ErrorCodeStringError code to be returned when an error occurs.NoYes
InternalOrderIdStringOrder unique identifier on the Merchant’s siteOptional if there was an error, a failure, or if the action is not related to a specific order
MessageStringOptional response message. In case of an error, this property indicates the error message text.No
[...]
